<form role="form" name="form">
    
      <div class="form-group">
        <p>Die folgenden Orte wurden von: <span id="inf"></span> besucht.</p>

        <p></p>
        <table style="width:50%" id="orte_table" class="table">
          <tr>
            <th>Ort</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
          </tr>

          
        </table>
        <p></p>

        <p>Bitte kontaktieren Sie die Einrichtungen und fügen Sie mögliche Kontaktpersonen der Liste hinzu.</p>
        
      </div>


      <div class="form-group">
        <label for="email-field">Mit welchen Personen hatte der Infizierte an den oben genannten Orten Kontakt?</label>
        <p style="font-size: 0.8em" >Bitte geben Sie Kontaktpersonen der Kategorie I und II an. Weitere Informationen unter: <a href="https://www.rki.de/DE/Content/InfAZ/N/Neuartiges_Coronavirus/Kontaktperson/Management.html">Informationen zur Kontaktverfolgung, RKI, 2020</a></p>
        <table style="width:100%" id="contact_table">
          <tr>
            <th>Vorname</th>
            <th>Nachname</th>
            <th>E-Mail</th>
            <th>Telefonnummer</th>
            <th>Kategorie</th>
          </tr>

          <tr id="contact_row_1" style="margin-top:10px;">
            <td><input class="form-control" id="vorname_c" /></td>
            <td><input class="form-control" id="nachname_c"  /></td>
            <td><input class="form-control"  id="email_c"    /></td>
            <td><input class="form-control"  id="phone_c"    /></td>
            <td>
              <select style ="height: 34px;"  id="kategorie_c">
                  <option value="1">Kategorie I</option>
                  <option value="2">Kategorie II</option>
              </select>
            </td>
          </tr>
        </table>   
        <button class="btn btn-default" style="margin-top:10px;" id="addmore"><i class="glyphicon glyphicon-plus"> </i>     Weitere Person hinzufügen</i></button> 
      </div>

      <button class="btn btn-default" style="margin-top:10px;" id="fill">Fill</button> 
      <button class="btn btn-default" style="margin-top:10px;" id="testb">Test</button> 



      <script cam-script type="text/form-script">



        camForm.on('form-loaded', function() {
          // fetch the variable 'customVariable'
          camForm.variableManager.fetchVariable('orte');
          camForm.variableManager.fetchVariable('vorname');
          camForm.variableManager.fetchVariable('nachname');
          camForm.variableManager.fetchVariable('phone');
          camForm.variableManager.fetchVariable('email');
        });
    
        camForm.on('variables-fetched', function() {
          // value has been fetched from the backend
          var vorname = camForm.variableManager.variableValue('vorname');
          var nachname = camForm.variableManager.variableValue('nachname');
          var phone = camForm.variableManager.variableValue('phone');
          var email = camForm.variableManager.variableValue('email');

          $("#inf").text(vorname+" "+nachname + " (Tel: "+phone+", E-Mail: "+email+")");

          var orte = camForm.variableManager.variableValue('orte');

          for(var i = 0; i<orte.length; i++){
            $('#orte_table tr:last').after(
              "<tr><td>"+orte[i].ort+"</td><td>"+orte[i].email+"</td><td>"+orte[i].phone+"</td></tr>"
            );
          }
          


        });

        
        var contacts_count = 1

        $("#addmore").click(function () {
          // Copy and add Row
          contacts_count= contacts_count+1;
          var row = $("#contact_row_1").clone();
          var idname = "contact_row_"+contacts_count;
          row = row.attr("id",idname)
          row.appendTo("#contact_table");
          
          //Delete Vals

          $("#"+idname+" > td > input").val("")

          //Change attr

          $("#"+idname+" > td > #vorname_c").attr("cam-variable-name","vorname_c_"+contacts_count);
          $("#"+idname+" > td > #nachname_c").attr("cam-variable-name","nachname_c_"+contacts_count);
          $("#"+idname+" > td > #email_c").attr("cam-variable-name","email_c_"+contacts_count);
          $("#"+idname+" > td > #phone_c").attr("cam-variable-name","phone_c_"+contacts_count);
          $("#"+idname+" > td > #kategorie_c").attr("cam-variable-name","kat_c_"+contacts_count);    


        });

        
      $("#fill").click(function () {
        
        $("#addmore").click();
        $("#addmore").click();


        $("#vorname_c").val("Mario");
        $("#nachname_c").val("Fuchs");
        $("#email_c").val("mario.fuchs@mail.com");
        $("#phone_c").val("07732531973");
        $("#kategorie_c").val("1");

        $("#contact_row_2 > td > #vorname_c").val("Alexander")
        $("#contact_row_2 > td > #nachname_c").val("Scherer")
        $("#contact_row_2 > td > #email_c").val("alex.scherer@ceo.de")
        $("#contact_row_2 > td > #phone_c").val("09131389545")
        $("#contact_row_2 > td > #kategorie_c").val("1")

        $("#contact_row_3 > td > #vorname_c").val("Ilya")
        $("#contact_row_3 > td > #nachname_c").val("Ostermann")
        $("#contact_row_3 > td > #email_c").val("ilya@mostermann.de")
        $("#contact_row_3 > td > #phone_c").val("0211196638")
        $("#contact_row_3 > td > #kategorie_c").val("1")
    
        

      });


      camForm.on('submit', function() {

        var contacts = new Array(); 

        for(var i=1; i<=contacts_count;i++){
          var con = {
            vorname: $("#contact_row_"+i+" > td > #vorname_c").val(),
            nachname: $("#contact_row_"+i+" > td > #nachname_c").val(),
            email: $("#contact_row_"+i+" > td > #email_c").val(), 
            phone: $("#contact_row_"+i+" > td > #phone_c").val(), 
            cat: $("#contact_row_"+i+" > td > #kategorie_c").val()
          };
          contacts.push(con);
        }

        console.log(contacts)

        camForm.variableManager.createVariable({
          name: 'weitereorte_contacts',
          type: 'json',
          value: contacts
        });



        camForm.variableManager.createVariable({
          name: 'weitereorte_contacts_count',
          type: 'Integer',
          value: contacts_count
        });

        
      
      
      });


      

      </script>

</form>